Main Page Class Hierarchy Data Structures File List Data Fields Globals

# pvauthor_engine Data Fields

a | c | d | g | h | i | o | p | q | r | s | t | ~

Here is a list of all struct and union fields with links to the struct/union documentation for each field:

### - a -

- AddDataSink() : PVAuthorEngineInterface
- AddDataSource() : PVAuthorEngineInterface
- AddMediaTrack() : PVAuthorEngineInterface

### - c -

- CancelAllCommands() : PVAuthorEngineInterface
- Close() : PVAuthorEngineInterface
- CommandCompleted() : PVCommandStatusObserver
- CommandCompletedL() : MPVCmnCmdStatusObserver
- compare() : CPVCmnInterfaceCmdMessage, CPVCmnInterfaceObserverMessageCompare
- CPVCmnAsyncEvent() : CPVCmnAsyncEvent
- CPVCmnCmdResp() : CPVCmnCmdResp
- CPVCmnInterfaceCmdMessage() : CPVCmnInterfaceCmdMessage
- CPVCmnInterfaceObserverMessage() : CPVCmnInterfaceObserverMessage
- CreateAuthor() : PVAuthorEngineFactory

### - d -

- DeleteAuthor() : PVAuthorEngineFactory

### - g -

- GetAsyncEventType() : PVEngineAsyncEvent
- GetCmdId() : PVEngineCommand, PVCmdResponse, CPVCmnCmdResp
- GetCmdStatus() : PVCmdResponse, CPVCmnCmdResp
- GetCmdType() : PVEngineCommand, CPVCmnCmdResp
- GetCommandId() : CPVCmnInterfaceCmdMessage
- GetContext() : PVEngineCommand, PVCmdResponse, CPVCmnCmdResp
- GetContextData() : CPVCmnInterfaceCmdMessage
- GetEventData() : PVAsyncErrorEvent, PVAsyncInformationalEvent, CPVCmnAsyncEvent
- GetEventType() : PVAsyncErrorEvent, PVAsyncInformationalEvent, CPVCmnAsyncEvent
- GetExtendedErrorInfoMessage() : PVCmdResponse
- GetLocalBuffer() : CPVCmnAsyncEvent
- GetLogLevel() : PVAuthorEngineInterface
- GetMimeType() : PVEngineCommand
- GetParam1() : PVEngineCommand
- GetParam2() : PVEngineCommand
- GetParam3() : PVEngineCommand
- GetPriority() : CPVCmnInterfaceCmdMessage, CPVCmnInterfaceObserverMessage
- GetPVAuthorState() : PVAuthorEngineInterface
- GetResponseData() : PVCmdResponse, CPVCmnCmdResp
- GetResponseDataSize() : PVCmdResponse, CPVCmnCmdResp
- GetResponseType() : PVAsyncErrorEvent, PVAsyncInformationalEvent, PVCmdResponse, CPVCmnInterfaceObserverMessage
- GetSDKInfo() : PVAuthorEngineInterface
- GetSDKModuleInfo() : PVAuthorEngineInterface
- GetType() : CPVCmnInterfaceCmdMessage
- GetUuid() : PVEngineCommand

### - h -

- HandleErrorEvent() : PVErrorEventObserver
- HandleErrorEventL() : MPVCmnErrorEventObserver
- HandleInformationalEvent() : PVInformationalEventObserver
- HandleInformationalEventL() : MPVCmnInfoEventObserver

### - i -

- iAsyncEventType : PVEngineAsyncEvent
- iCmdId : PVEngineCommand, CPVCmnCmdResp
- iCmdType : PVEngineCommand, CPVCmnCmdResp
- iContext : CPVCmnCmdResp
- iContextData : CPVCmnInterfaceCmdMessage, PVEngineCommand
- iDate : PVSDKInfo, TPVCmnSDKInfo
- iEventType : CPVCmnAsyncEvent
- iExclusivePtr : CPVCmnAsyncEvent
- iId : CPVCmnInterfaceCmdMessage
- iLabel : PVSDKInfo, TPVCmnSDKInfo
- iLocalBuffer : CPVCmnAsyncEvent
- iMimeType : PVEngineCommand
- Init() : PVAuthorEngineInterface
- iOrder : CPVCmnInterfaceObserverMessage
- iParam1 : PVEngineCommand
- iParam2 : PVEngineCommand
- iParam3 : PVEngineCommand
- iPriority : CPVCmnInterfaceCmdMessage, CPVCmnInterfaceObserverMessage
- iResponseData : CPVCmnCmdResp
- iResponseDataSize : CPVCmnCmdResp
- iResponseType : CPVCmnInterfaceObserverMessage
- iStatus : CPVCmnCmdResp
- iType : CPVCmnInterfaceCmdMessage
- iUuid : PVEngineCommand

### - o -

- Open() : PVAuthorEngineInterface
- operator< : CPVCmnInterfaceCmdMessage
- operator=() : PVSDKInfo, TPVCmnSDKInfo

### - p -

- Pause() : PVAuthorEngineInterface
- PVAsyncErrorEvent() : PVAsyncErrorEvent
- PVAsyncInformationalEvent() : PVAsyncInformationalEvent
- PVCmdResponse() : PVCmdResponse
- PVEngineAsyncEvent() : PVEngineAsyncEvent
- PVEngineCommand() : PVEngineCommand
- PVInterfaceProxy : CPVCmnInterfaceCmdMessage
- PVSDKInfo() : PVSDKInfo

### - q -

- QueryInterface() : PVAuthorEngineInterface
- QueryUUID() : PVAuthorEngineInterface

### - r -

- RemoveDataSink() : PVAuthorEngineInterface
- RemoveDataSource() : PVAuthorEngineInterface
- RemoveLogAppender() : PVAuthorEngineInterface
- Reset() : PVAuthorEngineInterface
- Resume() : PVAuthorEngineInterface

### - s -

- SelectComposer() : PVAuthorEngineInterface
- SetId() : CPVCmnInterfaceCmdMessage
- SetLogAppender() : PVAuthorEngineInterface
- SetLogLevel() : PVAuthorEngineInterface
- SetMimeType() : PVEngineCommand
- SetUuid() : PVEngineCommand
- Start() : PVAuthorEngineInterface
- Stop() : PVAuthorEngineInterface

### - t -

- TPVCmnSDKInfo() : TPVCmnSDKInfo

### - ~ -

- ~CPVCmnAsyncEvent() : CPVCmnAsyncEvent
- ~CPVCmnInterfaceCmdMessage() : CPVCmnInterfaceCmdMessage
- ~CPVCmnInterfaceObserverMessage() : CPVCmnInterfaceObserverMessage
- ~MPVCmnCmdStatusObserver() : MPVCmnCmdStatusObserver
- ~MPVCmnErrorEventObserver() : MPVCmnErrorEventObserver
- ~MPVCmnInfoEventObserver() : MPVCmnInfoEventObserver
- ~PVAsyncErrorEvent() : PVAsyncErrorEvent
- ~PVAsyncInformationalEvent() : PVAsyncInformationalEvent
- ~PVAuthorEngineInterface() : PVAuthorEngineInterface
- ~PVCommandStatusObserver() : PVCommandStatusObserver
- ~PVErrorEventObserver() : PVErrorEventObserver
- ~PVInformationalEventObserver() : PVInformationalEventObserver